package keycloakclaims

import "testing"

func TestHasAnyRole(t *testing.T) {
	query := []string{"user", "editor"}
	rolesOK := &Claims{}
	rolesOK.RealmAccess.Roles = []string{"user", "editor", "admin"}

	rolesNOTOK := &Claims{}
	rolesNOTOK.RealmAccess.Roles = []string{"admin"}
	if !HasAnyRole(query, rolesOK) {
		t.Log("error: role not found, expected: found")
		t.Fail()
	}
	if HasAnyRole(query, rolesNOTOK) {
		t.Log("error: role found,  expected: not found")
		t.Fail()
	}
}
